C******************** START FILE XINTR0.FOR ; GROUP XINTER ******************
C-------------------------------------------------------------------
C  XINTER-- INTERPOLATION ROUTINES ... DMC 1984...1985
C------------------------------------------------------------------
C& XINTR0  LINEAR INTERPOLATION W/FLAT EXTRAPOLATION - FCN CALL
C
      REAL FUNCTION XINTR0(TARGET,X,F,NX,IEX)
C
      REAL X(NX),F(NX)
C
C  COMMON BLOCK TO HOLD INTERPOLATION FACTORS
C   GIVING OPTION FOR EXTERNAL ACCESS
C
      COMMON/XINTR0SV/ IX0,XIC,IX0P1,XI
C
      EXTERNAL XIDENT
C
C  USE XINTER SUBROUTINE TO DEFINE INTERPOLATION (SEE BELOW)
C
      CALL XINTER(XIDENT,TARGET,X,NX,IX0,IX0P1,XI,XIC,IEX)
C
      XINTR0=F(IX0)*XIC+F(IX0P1)*XI
C
      RETURN
      END
C******************** END FILE XINTR0.FOR ; GROUP XINTER ******************
